package corporate_handlers

import (
	"cpone/utils"
	corporate_company "cpone/views/corporate/company"

	"github.com/labstack/echo/v4"
)

type CompanyService interface {
}

func NewCompanyHandler(us CompanyService) *CompanyHandler {
	return &CompanyHandler{
		CompanyService: us,
	}
}

type CompanyHandler struct {
	CompanyService CompanyService
}

func (uh *CompanyHandler) ShowCompany(c echo.Context) error {
	helo := corporate_company.Show()
	return utils.View(c, helo)
}
